%define rhugversion 20030403
%define rhugsource1 %{name}-%{version}-src upstream

Summary: Jakarta Commons Digester Component
Name: commons-digester
Version: 1.4.1
Release: 10
URL: http://jakarta.apache.org/commons/digester.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-1.4.1-release.patch
Patch2: %{name}-1.4.1-buildclasspath.patch
Patch3: %{name}-1.4.1-hammer.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: xerces-j >= 2.2.1-9
BuildPrereq: commons-collections >= 2.1-9
BuildPrereq: commons-logging >= 1.0.2-12
BuildPrereq: commons-beanutils >= 1.6.1-10
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: xerces-j >= 2.2.1-9
Requires: commons-collections >= 2.1-9
Requires: commons-logging >= 1.0.2-12
Requires: commons-beanutils >= 1.6.1-10
ExclusiveArch: i386 x86_64 ppc ia64

%description
The Jakarta Commons Digester Component creates maps XML data to Java
objects in a user-definable manner.

%package devel
Summary: CNI headers for developing Commons Digester applications
Group: Development/Libraries
Requires: commons-digester = %{version}-%{release}

%description devel
The commons-digester-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Digester Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch3 -p0 -b .hammer
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-commons-digester.so

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-digester.so \
    %{_datadir}/java/commons-digester.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-digester.so \
    %{_datadir}/java/commons-digester.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/digester

%changelog
* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.4.1-10
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.4.1-9
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.4.1-8
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.4.1-7
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.4.1-6
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.4.1-5
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Fri May 23 2003 Gary Benson <gbenson@redhat.com> 1.4.1-4
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 1.4.1-3
- Rebuild with new compiler.

* Fri Apr 11 2003 Gary Benson <gbenson@redhat.com> 1.4.1-2
- Fix linking on hammer.

* Thu Apr 03 2003 Gary Benson <gbenson@redhat.com> 1.4.1-1
- Initial Red Hat Linux build.

* Thu Apr 03 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
